Bug 178077 - Check problems with Ubuntu bugzilla
Check problems with Ubuntu bugzilla
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Igor Foox
Depends On:
Blocks: 177734
  Show dependency treegraph
Reported: 2006-01-17 13:38 EST by Igor Foox
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-18 17:04:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix non-existant icon problem (1.52 KB, patch)
2006-01-17 17:13 EST, Igor Foox
no flags Details | Diff

  None (edit)
Description Igor Foox 2006-01-17 13:38:04 EST
Apparently the Ubuntu and Kernel bugzillas aren't functioning properly. Find out
what the problem is.
Comment 1 Igor Foox 2006-01-17 16:47:22 EST
Kernel bugzilla seems to work fine.
Comment 2 Igor Foox 2006-01-17 16:52:18 EST
The problem with the ubuntu bugzilla seems to be that it doesn't provide a
favicon.ico at all. When the search moves from
http://bugzilla.ubuntu.com/favicon.ico to http://ubuntu.com/favicon.ico it gets
a non-standard "file not found" page from the server, that tricks it to think
that it's an image and it creates an image descriptor from this data. When it
tries to get an ImageData from the descriptor later on (to check if it's not
null) an exception gets thrown because the ImageDescriptor doesn't have valid
image data.

We need to add a check for this.
Comment 3 Igor Foox 2006-01-17 17:11:19 EST
Here's a patch that checks to see if the ImageData is valid or not by attempting
to get it from the ImageDescriptor and looking for the appropriate exceptions.
This makes the Ubuntu bugzilla default to the regular icon.

Andrew, could you take a look and let me know if this looks alright?
Comment 4 Igor Foox 2006-01-17 17:13:30 EST
Created attachment 123338 [details]
Patch to fix non-existant icon problem

This patch is against CVS HEAD (with your Andrew's previous patch already
Comment 5 Andrew Overholt 2006-01-18 09:53:12 EST
(In reply to comment #4)
> Created an attachment (id=123338) [edit]
> Patch to fix non-existant icon problem

This patch looks good and I think it should be applied.  However, Ubuntu
recently moved away from bugzilla so that entry should probably be removed.  If
launchpad/malone works as a standard bugzilla instance, the let's just change
the URL.  Otherwise, this could be a good first test of the extensibility of
org.eclipse.team.bugs ;)
Comment 6 Igor Foox 2006-01-18 17:04:37 EST
Patch committed. I also took out the Ubuntu bugzilla for now.

Note You need to log in before you can comment on or make changes to this bug.